% Tato funkce slouzi k vytvoreni sachovnicoveho obrazku.
% Potrebny m-file: iluminace.m

function [sach]=sachovnice(oko1,oko2)

    [a,b]=size(oko1);
    
    [a,b,c]=size(oko1);
    d=size(oko2,3);

    % vybrani vhodne slozky
    if c==3
        f(:,:,1)=iluminace(oko1(:,:,2));
    else
        f(:,:,1)=iluminace(oko1(:,:,1));
    end

    if d==3
        f(:,:,2)=iluminace(oko2(:,:,2));
    else
        f(:,:,2)=iluminace(oko2(:,:,1));
    end

    f(:,:,3)=zeros(a,b);
    sach=zeros(a,b);

    krok=100;
    prom1=1;
    for l=krok:krok:a
        prom=prom1;
        for m=krok:krok:b
            sach(l-krok+1:l,m-krok+1:m)=f(l-krok+1:l,m-krok+1:m,prom);
            prom=abs(prom-2)+1;
        end
        prom1=abs(prom1-2)+1;
    end